Subject: Re: bug#14013: 24.3.50; dired-isearch-filenames-regexp is matching text outside filenames

From: Michael Heerdegen <[email-masked]>
Date: Tue, 06 Jun 2023 02:27:24 +0200

Juri Linkov <[email-masked]> writes:

> >> > Second question: could we advice (local 'replace-search-function) and
> >> > (local 'replace-re-search-function) instead of replacing the value (it
> >> > might be nicer to users of other packages)?
> >>
> >> This looks nicer in theory.  But in practice I expect to see a lot of
> >> conflicts.
> >
> > What conflicts?
>
> Usual conflicts when two pieces of code are working simultaneously
> on the same thing.  So we need concrete examples to verify if
> everything is correct.

Not sure I understand.  We would do this to get any control over
conflicts at all (by using the different types of advices and the depth
property).

How would such examples behave currently, and why do you think changing
the code to use advices would be more problematic?  Currently we `setq'
and so the last one completely overwrites everything conflicting.  Isn't
that a problem per se (at least it's the thing I want to mitigate).

Michael.